package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.OrgSecUserType;
import com.sa.ibiz.demo.demo.service.OrgSecUserTypeService;
import com.sa.ibiz.demo.demo.service.dto.OrgSecUserTypeSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/orgsecusertype")
public class OrgSecUserTypeResource
{
	@Autowired
	private OrgSecUserTypeService service;


	@PostMapping(value = "/remove")
	public ResponseEntity<OrgSecUserType> remove(@Validated @RequestBody OrgSecUserType data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("部门人员关系类型[remove]操作发生错误","OrgSecUserType",data.getOrgsecusertypeid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<OrgSecUserType> getDraft(@Validated @RequestBody OrgSecUserType data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("部门人员关系类型[getDraft]操作发生错误","OrgSecUserType","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<OrgSecUserType> checkKey(@Validated @RequestBody OrgSecUserType data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("部门人员关系类型[checkKey]操作发生错误","OrgSecUserType",data.getOrgsecusertypeid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<OrgSecUserType> get(@Validated @PathVariable String id){
		OrgSecUserType data=new OrgSecUserType();
		data.setOrgsecusertypeid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("部门人员关系类型[get]操作发生错误","OrgSecUserType",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<OrgSecUserType> create(@Validated @RequestBody OrgSecUserType data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("部门人员关系类型[create]操作发生错误","OrgSecUserType",data.getOrgsecusertypeid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<OrgSecUserType> update(@Validated @RequestBody OrgSecUserType data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("部门人员关系类型[update]操作发生错误","OrgSecUserType",data.getOrgsecusertypeid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<OrgSecUserType>> searchDefaultPage(@Validated @RequestBody OrgSecUserTypeSearchFilter filter){
		Page<OrgSecUserType> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<OrgSecUserType>> listDefault(@Validated @RequestBody OrgSecUserTypeSearchFilter filter){
		List<OrgSecUserType> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
